import{s as X,f as Y,n as Z,o as tt}from"../chunks/scheduler.f7e1785c.js";import{S as et,i as lt,g as a,s as i,r as nt,A as at,h as s,f as l,c as r,j as W,u as it,x as m,k as T,y as st,a as n,v as rt,d as ot,t as mt,w as ut}from"../chunks/index.9f8f0838.js";import{H as ft}from"../chunks/Heading.6643a2f7.js";function pt(z){let u,g,w,H,p,L,c,D="В этом разделе мы рассмотрим, как трансформеры могут быть использованы для преобразования устной речи в текст - задача, известная как <em>распознавание речи</em> (<em>speech recognition</em>).",$,f,U='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/asr_diagram.png" alt="Diagram of speech to text"/>',A,h,F=`Распознавание речи, известное также как автоматическое распознавание речи (automatic speech recognition - ASR) или преобразование речи в текст
(speech-to-text - STT), является одной из наиболее популярных и интересных задач обработки устной речи. Она используется в широком спектре приложений,
включая диктовку, голосовые помощники, субтитры к видео и транскрибацию переговоров / совещаний.`,j,_,G=`Возможно, вы уже не раз пользовались системой распознавания речи, даже не подозревая об этом! Возьмем, к примеру, цифрового ассистента в вашем смартфоне
(Siri, Google Assistant, Alexa). Когда вы пользуетесь такими помощниками, первое, что они делают, - это транскрибируют вашу устную речь в письменный
текст, готовый к использованию для решения последующих задач (например, для поиска прогноза погоды 🌤️).`,S,x,V=`Попробуйте воспользоваться демонстрацией распознавания речи, приведенной ниже. Вы можете записать себя с помощью микрофона или перетащить в окно образец
звука для расшифровки:`,b,o,B="",J,y,v,K=`Распознавание речи является сложной задачей, поскольку требует совместного знания в области звука и текста. Входной звук может содержать много фоновых
шумов и произноситься дикторами с разным акцентом, что затрудняет выделение произносимой речи. В письменном тексте могут присутствовать символы, не
имеющие акустического звучания, например, знаки препинания, которые трудно определить только по звуку. Все это - препятствия, которые нам приходится
преодолевать при создании эффективных систем распознавания речи!`,E,d,N=`Теперь, когда мы определились с задачей, можно приступить к более детальному изучению распознавания речи. К концу этого раздела вы будете иметь хорошее
фундаментальное представление о различных доступных предварительно обученных моделях распознавания речи и о том, как использовать их с библиотекой
🤗 Transformers. Вы также узнаете о процедуре тонкой настройки ASR-модели на выбранный домен или язык, что позволит вам построить производительную
систему для решения любой задачи. Вы сможете продемонстрировать свою модель друзьям и близким, создав “живую” демонстрацию, которая воспринимает любую
устную речь и преобразует ее в текст!`,R,C,O="В частности, мы рассмотрим:",q,P,Q='<li><a href="asr_models">Предварительно обученные модели для распознавания речи</a></li> <li><a href="choosing_dataset">Выбор набора данных</a></li> <li><a href="evaluation">Оценка и метрики для распознавания речи</a></li> <li><a href="fine-tuning">Как дообучить ASR-систему с помощью Trainer API</a></li> <li><a href="demo">Создание демо</a></li> <li><a href="hands_on">Практическое занятие</a></li>',I,M,k;return p=new ft({props:{title:"Чему вы научитесь и что создадите",local:"чему-вы-научитесь-и-что-создадите",headingTag:"h1"}}),{c(){u=a("meta"),g=i(),w=a("p"),H=i(),nt(p.$$.fragment),L=i(),c=a("p"),c.innerHTML=D,$=i(),f=a("div"),f.innerHTML=U,A=i(),h=a("p"),h.textContent=F,j=i(),_=a("p"),_.textContent=G,S=i(),x=a("p"),x.textContent=V,b=i(),o=a("iframe"),o.innerHTML=B,y=i(),v=a("p"),v.textContent=K,E=i(),d=a("p"),d.textContent=N,R=i(),C=a("p"),C.textContent=O,q=i(),P=a("ul"),P.innerHTML=Q,I=i(),M=a("p"),this.h()},l(t){const e=at("svelte-u9bgzb",document.head);u=s(e,"META",{name:!0,content:!0}),e.forEach(l),g=r(t),w=s(t,"P",{}),W(w).forEach(l),H=r(t),it(p.$$.fragment,t),L=r(t),c=s(t,"P",{"data-svelte-h":!0}),m(c)!=="svelte-bzcc7w"&&(c.innerHTML=D),$=r(t),f=s(t,"DIV",{class:!0,"data-svelte-h":!0}),m(f)!=="svelte-gouu61"&&(f.innerHTML=U),A=r(t),h=s(t,"P",{"data-svelte-h":!0}),m(h)!=="svelte-18pqcjj"&&(h.textContent=F),j=r(t),_=s(t,"P",{"data-svelte-h":!0}),m(_)!=="svelte-1dcxogg"&&(_.textContent=G),S=r(t),x=s(t,"P",{"data-svelte-h":!0}),m(x)!=="svelte-192q24l"&&(x.textContent=V),b=r(t),o=s(t,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0,"data-svelte-h":!0}),m(o)!=="svelte-aw0ubw"&&(o.innerHTML=B),y=r(t),v=s(t,"P",{"data-svelte-h":!0}),m(v)!=="svelte-1js5bd6"&&(v.textContent=K),E=r(t),d=s(t,"P",{"data-svelte-h":!0}),m(d)!=="svelte-jhyryp"&&(d.textContent=N),R=r(t),C=s(t,"P",{"data-svelte-h":!0}),m(C)!=="svelte-13cji4f"&&(C.textContent=O),q=r(t),P=s(t,"UL",{"data-svelte-h":!0}),m(P)!=="svelte-j5gekn"&&(P.innerHTML=Q),I=r(t),M=s(t,"P",{}),W(M).forEach(l),this.h()},h(){T(u,"name","hf:doc:metadata"),T(u,"content",ct),T(f,"class","flex justify-center"),Y(o.src,J="https://course-demos-whisper-small.hf.space")||T(o,"src",J),T(o,"frameborder","0"),T(o,"width","850"),T(o,"height","450")},m(t,e){st(document.head,u),n(t,g,e),n(t,w,e),n(t,H,e),rt(p,t,e),n(t,L,e),n(t,c,e),n(t,$,e),n(t,f,e),n(t,A,e),n(t,h,e),n(t,j,e),n(t,_,e),n(t,S,e),n(t,x,e),n(t,b,e),n(t,o,e),n(t,y,e),n(t,v,e),n(t,E,e),n(t,d,e),n(t,R,e),n(t,C,e),n(t,q,e),n(t,P,e),n(t,I,e),n(t,M,e),k=!0},p:Z,i(t){k||(ot(p.$$.fragment,t),k=!0)},o(t){mt(p.$$.fragment,t),k=!1},d(t){t&&(l(g),l(w),l(H),l(L),l(c),l($),l(f),l(A),l(h),l(j),l(_),l(S),l(x),l(b),l(o),l(y),l(v),l(E),l(d),l(R),l(C),l(q),l(P),l(I),l(M)),l(u),ut(p,t)}}}const ct='{"title":"Чему вы научитесь и что создадите","local":"чему-вы-научитесь-и-что-создадите","sections":[],"depth":1}';function ht(z){return tt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class dt extends et{constructor(u){super(),lt(this,u,ht,pt,X,{})}}export{dt as component};
